org.apache.sysds.runtime.compress.lib

## Class CLALibReExpand

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibReExpand

    public class CLALibReExpand
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CLALibReExpand()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `reExpand(CompressedMatrixBlock in, MatrixBlock ret, double max, boolean cast, boolean ignore, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibReExpand

    public CLALibReExpand()

### Method Detail

#### reExpand

    public static MatrixBlock reExpand(CompressedMatrixBlock in,
                                       MatrixBlock ret,
                                       double max,
                                       boolean cast,
                                       boolean ignore,
                                       int k)